﻿using System.Windows;

using DevExpress.Xpf.Bars;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 버튼 막대 버튼 항목 항목 클릭시 처리하기 - buttonBarButtonItem_ItemClick(sender, e)

        /// <summary>
        /// 버튼 막대 버튼 항목 항목 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void buttonBarButtonItem_ItemClick(object sender, ItemClickEventArgs e)
        {
            (this.textBarEditItem.Links[0] as BarEditItemLink).Editor.Focus();
        }

        #endregion
    }
}